VDB-36264 · CVE-2007-2119 · BID 23532

Oracle Database Server 9.2.0.8 boundary_rules.jsp EXPTYPE cross site scripting

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.0$0-$5k0.00

A vulnerability, which was classified as critical, was found in Oracle Database Server 9.2.0.8 (Database Software). Affected is an unknown code of the file boundary_rules.jsp. The manipulation of the argument EXPTYPE with an unknown input leads to a cross site scripting vulnerability. CWE is classifying the issue as CWE-80. The product receives input from an upstream component, but it does not neutralize or incorrectly neutralizes special characters such as "<", ">", and "&" that could be interpreted as web-scripting elements when they are sent to a downstream component that processes web pages. This is going to have an impact on confidentiality, integrity, and availability. CVE summarizes:

Cross-site scripting (XSS) vulnerability in boundary_rules.jsp in the Administration Front End for Oracle Enterprise (Ultra) Search, as used in Database Server 9.2.0.8, 10.1.0.5, and 10.2.0.2, and in Application Server 9.0.4.3, 10.1.2.0.2, and 10.1.2.2.0 allows remote attackers to inject arbitrary HTML or web script via the EXPTYPE parameter, aka SES01.

The weakness was shared 04/18/2007 by Esteban Martinez Fayo (Paul) with Application Security, Inc. (Website). The advisory is shared for download at us-cert.gov. This vulnerability is traded as CVE-2007-2119 since 04/18/2007. It is possible to launch the attack remotely. The exploitation doesn't require any form of authentication. Successful exploitation requires user interaction by the victim. There are known technical details, but no exploit is available. The MITRE ATT&CK project declares the attack technique as T1059.007.

It is declared as proof-of-concept. By approaching the search of inurl:boundary_rules.jsp it is possible to find vulnerable targets with Google Hacking. The vulnerability scanner Nessus provides a plugin with the ID 56056 (Oracle Database Multiple Vulnerabilities (April 2007 CPU)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Databases.

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product. Furthermore it is possible to detect and prevent this kind of attack with TippingPoint and the filter 5363.

The vulnerability is also documented in the databases at Tenable (56056), SecurityFocus (BID 23532†), SecurityTracker (ID 1017927†) and Vulnerability Center (SBV-14895†).

Productinfo

Type

Vendor

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 6.3
VulDB Meta Temp Score: 6.0

VulDB Base Score: 6.3
VulDB Temp Score: 6.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Cross site scripting
CWE: CWE-80 / CWE-74 / CWE-707
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Proof-of-Concept
Google Hack: 🔍

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 56056
Nessus Name: Oracle Database Multiple Vulnerabilities (April 2007 CPU)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: no mitigation known
Status: 🔍

0-Day Time: 🔍
TippingPoint: 🔍

Timelineinfo

04/17/2007 🔍
04/17/2007 +0 days 🔍
04/18/2007 +1 days 🔍
04/18/2007 +0 days 🔍
04/18/2007 +0 days 🔍
04/18/2007 +0 days 🔍
04/22/2007 +4 days 🔍
03/13/2015 +2882 days 🔍
07/14/2021 +2315 days 🔍

Sourcesinfo

Vendor: oracle.com

Advisory: us-cert.gov
Researcher: Esteban Martinez Fayo (Paul)
Organization: Application Security, Inc.
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2007-2119 (🔍)
SecurityFocus: 23532 - Oracle April 2007 Security Update Multiple Vulnerabilities
SecurityTracker: 1017927 - Oracle Database and Other Products Have Unspecified Vulnerabilities With Unspecified Impact
Vulnerability Center: 14895 - Oracle XSS in the Administration Front End for Oracle Enterprise (Ultra) Search, Medium
Vupen: ADV-2007-1426

Entryinfo

Created: 03/13/2015 02:56 PM
Updated: 07/14/2021 11:58 AM
Changes: 03/13/2015 02:56 PM (56), 04/07/2017 05:05 PM (18), 07/14/2021 11:58 AM (2)
Complete: 🔍
Cache ID: 44:0EB:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Interested in the pricing of exploits?

See the underground prices here!